.mobile-menu, .cart-button-mob {
    display: none;
}

.mobile-menu {
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 20px;
    background: transparent;
    border: none;
    z-index: 101;
}

.mobile-menu span {
    display: block;
    width: 100%;
    height: 3px;
    background-color: var(--text-white-color);
    border-radius: 3px;
    transition: all 0.3s ease-in-out;
}

@media (max-width: 950px) {
	.navbar {
		flex-direction: row-reverse;
	}
	
    .mobile-menu,
	.cart-button-mob {
        display: flex;
    }
	
	.cart-button-mob {
		width: 38px;
		height: 38px;
	}

    .cart-button {
        display: none;
    }

    .nav-right {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        background-color: var(--bg-color);
        flex-direction: column;
        justify-content: flex-start;
        padding: 7rem 3rem 3rem 3rem;
        gap: 2rem;
        transform: translateX(-100%);
        transition: transform 0.4s ease-in-out;
        z-index: 100;
    }

    .nav-right.active {
        transform: translateX(0);
        overflow-y: auto;
    }

    .nav-right a {
        font-size: var(--text-size-two);
        text-decoration: none;
        width: 100%;
    }

    .mobile-menu.active span:nth-child(1) {
        transform: translateY(8px) rotate(45deg);
    }

    .mobile-menu.active span:nth-child(2) {
        opacity: 0;
    }

    .mobile-menu.active span:nth-child(3) {
        transform: translateY(-9.5px) rotate(-45deg);
    }
    
    body.no-scroll {
        overflow: hidden;
    }
}